Name:          scons
Version:       4.9.0
Release:       1mamba
Summary:       An Open Source software construction tool
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.scons.org/
Source:        https://sourceforge.net/projects/scons/files/scons/%{version}/SCons-%{version}.tar.gz
License:       MIT
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
Requires:      python3 >= 3.11

%description
SCons is an Open Source software construction tool--that is, a build tool; an improved substitute for the classic Make utility; a better way to build software.
SCons is based on the design which won the Software Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need to learn a new build tool syntax.
SCons maintains a global view of all dependencies in a tree, and can scan source (or other) files for implicit dependencies, such as files specified on #include lines.
SCons uses MD5 signatures to rebuild only when the contents of a file have really changed, not just when the timestamp has been touched.
SCons supports side-by-side variant builds, and is easily extended with user-defined Builder and/or Scanner objects.

%prep
%setup -q

%build
%{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --install-data=%{_datadir} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

install -d -m0755 %{buildroot}%{_mandir}/man1
cp scons*.1 %{buildroot}%{_mandir}/man1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/SCons-%{version}-py*.egg-info
%{python3_sitearch}/SCons-%{version}-py*.egg-info/*
%{_mandir}/man1/scons*.1*
%doc LICENSE

%changelog
* Mon Mar 03 2025 Automatic Build System <autodist@openmamba.org> 4.9.0-1mamba
- automatic version update by autodist

* Wed Sep 04 2024 Automatic Build System <autodist@openmamba.org> 4.8.1-1mamba
- automatic version update by autodist

* Wed Jul 31 2024 Automatic Build System <autodist@openmamba.org> 4.8.0-1mamba
- automatic version update by autodist

* Mon Mar 18 2024 Automatic Build System <autodist@openmamba.org> 4.7.0-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Mon Oct 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.2-2mamba
- rebuilt with python3 == 3.11

* Tue Mar 21 2023 Automatic Build System <autodist@mambasoft.it> 4.5.2-1mamba
- automatic version update by autodist

* Sun Mar 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.1-1mamba
- update to 4.5.1

* Tue Aug 31 2021 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Wed Mar 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.2-2mamba
- rebuilt with python3

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Fri Aug 30 2019 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Sat Jun 29 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.5-1mamba
- update to 3.0.5

* Mon Oct 09 2017 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Sat Dec 10 2016 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Thu Oct 20 2016 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Fri Dec 04 2015 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Wed Sep 23 2015 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Wed Aug 19 2015 Automatic Build System <autodist@mambasoft.it> 2.3.6-1mamba
- automatic version update by autodist

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 2.3.5-1mamba
- automatic version update by autodist

* Wed Oct 01 2014 Automatic Build System <autodist@mambasoft.it> 2.3.4-1mamba
- automatic version update by autodist

* Thu Jul 10 2014 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Wed May 22 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-2mamba
- python 2.7 rebuild

* Tue Apr 23 2013 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Thu Jul 12 2012 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Fri May 07 2010 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic update by autodist

* Wed Feb 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0.d20090223-1mamba
- automatic update by autodist

* Mon Dec 08 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0.d20081125-1mamba
- update to 1.1.0.d20081125

* Sat Oct 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.98.1-1mamba
- automatic update by autodist

* Tue Aug 28 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.97-1mamba
- update to 0.97
- changed architecture to noarch
- new package mantainer

* Tue Jan 30 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.96.1-3qilnx
- rebuilt; specfile fixes

* Tue Apr 05 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.96.1-2qilnx
- rebuild and moved from devel-contrib repository to devel repository

* Wed Mar 16 2005 Matteo Bernasconi <voyagernm@virgilio.it> 0.96.1-1qilnx
- First Build
